package sklep.klient;

import java.util.List;

import sklep.exn.DBException;
import sklep.model.Product;
import sklep.soap.Sklep;

public class Klient1_WszystkieProdukty {

	public static void main(String[] args) {
		System.out.println("Startujemy");
		SklepService service = new SklepService();
		Sklep sklep = service.getSklepPort();
		System.out.println("Mam obiekt proxy: " + sklep);
		
		try {
			List<Product> produkty = sklep.wszystkieProdukty();
			System.out.println("Odczytano " + produkty.size() + " produktów:");
			for (Product product : produkty) {
				System.out.println(product.getProductName() + " za cenę " + product.getPrice());
			}
		} catch (DBException e) {
			e.printStackTrace();
		}
		
		System.out.println("Koniec");
	}

}
